.TH "cluforce" "8" "Feb 2004" "" "Red Hat Cluster Manager"
.SH "NAME"
cluforce \- Force soft quorum via IP tiebreaker.
.SH "DESCRIPTION"
.PP 
Red Hat Cluster Manager typically requires that a majority of members be 
online in order to form a quorum and start services.  The majority requirement
ensures that in the event of a network partition, services do not replicate
on multiple members.

The tie-breakers (IP and disk) allow an extra vote when half of the members
are offline.

The IP tiebreaker differs from the Disk tiebreaker in one way from a functional
standpoint: When using the IP tiebreaker, the cluster will not automatically form
a quorum if exactly half of the members are visible.  Rather, the IP tiebreaker
is usually only used to preserve service availability in the event of a failure
of half of the members.

This is because that it is possible, though unlikely, that the IP tiebreaker
can be visible to all members - while the members may not be visible to each
other.  This situation can lead to a split-brain, which can cause data
corruption.  This situation only occurs when certain network problems are
present, such as half-connected members, ARP storms, or various other
anomalies.

The disk tiebreaker, by contrast, allows certain information to be
communicated between the members - even when both are fully disconnected from
the network.

Thus, the default behavior of Cluster Manager (as of 1.2.10) is to not allow
formation of a new quorum when using the IP tiebreaker unless a majority of
actual members is online and reliably communicating with one other.  An
existing cluster quorum which loses half of its members is unaffected; it
carries on normally.

.SH "NEW QUORUM FORMATION"
.PP
For simplicity, this section only deals with two-node clusters using IP
tiebreakers, since this is the most common case.  The same general behavior
applies to four node clusters as well, but instead of one member being visible,
exactly two members are visible.

.B (1) New Cluster - Both members online/visible
- Will result in the formation of a quorum.

.B (2) New Cluster - One member + IP tiebreaker online/visible
- Will *not* result in the formation of a quorum.

.SH "QUORUM PRESERVATION IN FAILURE CASES"
.PP
.B (3) Running Cluster - One member fails
- Failed member is fenced (STONITHed).  Quorum preserved on surviving member.

.B (4) Running Cluster - Network problem, IP tiebreaker visible from both
.B members, but the members are no longer visible to each other (network
.B problem)
- One member is fenced (STONITHed).  Quorum preserved on surviving member.
Upon restart, the fenced member will not be able to join the cluster, as 
it will be an instance of case (2) above.  This case is extremely unlikely
to occur on a properly configured network.

.SH "MANUAL OVERRIDE"
.PP
It may be useful (and necessary in some cases), to allow half of the members
of two- and four-member clusters to form a new quorum using the IP-tiebreaker
after a majority failure without decreasing the cluster membership count.

The
.B cluforce(8)
command instructs the Quorum Daemon to treat the tiebreaker IP address as
a real member for voting purposes, thus allowing a quorum to form when half
of the actual cluster members are online.  You must run
.B cluforce(8)
on all active members of the cluster after starting the cluster daemons. 
The effect of
.B cluforce(8)
lasts until the member leaves the cluster (cleanly or not).  This behavior
may be turned on permantly (dangerous) using
.B cludb(8).
Doing so can result in a split-brain in case (4) above.

.SH "SEE ALSO"
cluquorumd(8), cludb(8)

You can find more documentation for cluster installation and administration in 
the 
.B The Red Hat Cluster Manager Installation and Administration Guide 
located on the documentation CD\-ROM or online at http://www.redhat.com.
